Subject: [RFC PATCH 0/3] DT support for ST micro accelerometers and gyroscopes

From: [email-masked] (Jonathan Cameron)
Date: Sun, 24 Nov 2013 21:00:49 +0000

On 11/21/13 13:14, Maxime Ripard wrote:
> Hi Denis,
> 
> On Thu, Nov 21, 2013 at 12:41:24PM +0100, Denis CIOCCA wrote:
>> only one point: it's possible to use the same names with DT? (using _ instead of -)
> 
> Yes, it is, but only for i2c as far as I'm aware, and usually the DT compatibles are with - as a separator (I
> looked into the ePAPR, but couldn't get any explanations or requirements on this, even though it's used in all of
> their examples)
In other discussions, where the defacto i2c device tree bindings have
been followed, the conclusion has been that to change to a - from _
would result in userspace ABI changes, so whilst no one wants _
the discussion has concluded we can't really avoid it.

> 
>> Why only for i2c?
> 
> Because I was only interested in i2c :)
> 
> Maxime
>